Quassel IRC - Bug #1487

WhoX replies not caught (or ran unnecessarily)
07/20/2018 12:29 PM - genius3000

Status: Resolved Start date: 07/20/2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.12.4 0S: Linux
Description

Version is actually 0.13-rc1

I've noticed on my InspIRCd 3.0 testnet (with WhoX recently implemented) that after a user joins a channel I'm in, | get WhoX replies
for the other users of the channel in my Status Buffer (the WHO is sent for the user, not the channel). If I'm the joining user, | also get

the same.

| added some debug logging and the WhoX replies are being processed correctly, just not being flagged as Silent. | tested a few

things to no avail so far.

I'm thinking these users shouldn't even have a who query ran on them and | can't find where they are added.

I'll update this later with more specific code findings and what I've tested. Hoping someone else can provide a bit of insight.

Associated revisions

Revision cdc6091a - 09/13/2018 11:46 PM - Shane Synan

core: AutoWhoX, only search nickname by nickname

When running automatic WhoX, explicitly specify "n" to search by
nickname only. Don't rely on server defaults. This fixes an issue
with Quassel's autoWHO causing noise in the Status Buffer uncovered
by InspIRCd 3.0's implementation of WhoX that follows the spec.

Fix up incorrect attempt to escape "%" as "%%". Apparently,
QString::arg() doesn't need to escape this.

Before: WHO <nickname> %%chtsunfra,<unique_number>
After: WHO <nickname> n%chtsunfra,<unique_number>

See https://github.com/quakenet/snircd/blob/master/doc/readme.who
And https://doc.qt.io/gt-5/gstring.html#arg

Thanks to @genius3000 for reporting and tracking down this issue!

Fixes #1487

History

#1 - 09/13/2018 02:30 AM - digitalcircuit

Looking into this... At this moment, the InspIRCd 3.0 testnet appears to be down, but I'll check again when it's up.

#2 - 09/13/2018 09:06 AM - digitalcircuit

Fix should be in https://github.com/quassel/quassel/pull/432 ! I've put the magic "fixes" commit message to hopefully close this issue automatically

once it's merged.

#3 - 09/13/2018 11:46 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|cdc6091a2e02b84a48937cda287a0769ceb8726a.
